
Figure - Bug #118739
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试85小时， CRASH: com.android.systemui:screenshot (1)
2023-06-12 11:04 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-12

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0108

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 116

Reproducibility: Rarely Fixed Version: 2023-06-12

Test Type: Monkey Test Root cause: AOSP 原生问题。

Description

【错误信息】

// CRASH: com.android.systemui:screenshot (pid 5081)

// Short Msg: java.lang.IllegalArgumentException

// Long Msg: java.lang.IllegalArgumentException: Cannot set 'scaleX' to Float.NaN

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3894:user/test-keys

// Build Changelist: 3894

// Build Time: 1686162571000

// java.lang.IllegalArgumentException: Cannot set 'scaleX' to Float.NaN

//     at android.view.View.sanitizeFloatPropertyValue(View.java:17746)

//     at android.view.View.sanitizeFloatPropertyValue(View.java:17720)

//     at android.view.View.setScaleX(View.java:17085)

//     at com.android.systemui.screenshot.ScreenshotView.lambda$startLongScreenshotTransition$17(ScreenshotView.java:823)

//     at com.android.systemui.screenshot.ScreenshotView.$r8$lambda$_n57EnKT6IcNLhHGEhLdD86HZMo(Unknown Source:0)

//     at com.android.systemui.screenshot.ScreenshotView$$ExternalSyntheticLambda10.onAnimationUpdate(Unknown Source:11)

//     at android.animation.ValueAnimator.animateValue(ValueAnimator.java:1566)

//     at android.animation.ValueAnimator.setCurrentFraction(ValueAnimator.java:692)

//     at android.animation.ValueAnimator.setCurrentPlayTime(ValueAnimator.java:655)

//     at android.animation.ValueAnimator.start(ValueAnimator.java:1087)

//     at android.animation.ValueAnimator.start(ValueAnimator.java:1106)

//     at android.animation.ValueAnimator.startWithoutPulsing(ValueAnimator.java:1099)

//     at android.animation.AnimatorSet.handleAnimationEvents(AnimatorSet.java:1149)

//     at android.animation.AnimatorSet.startAnimation(AnimatorSet.java:1234)

//     at android.animation.AnimatorSet.start(AnimatorSet.java:729)

//     at android.animation.AnimatorSet.start(AnimatorSet.java:684)

//     at com.android.systemui.screenshot.ScreenshotView.startLongScreenshotTransition(ScreenshotView.java:858)

//     at com.android.systemui.screenshot.ScreenshotController.lambda$onScrollCaptureResponseReady$6(ScreenshotController.java:699)

//     at com.android.systemui.screenshot.ScreenshotController.$r8$lambda$hy89dSt7af3A20j4KlbvC6TjjCI(Unknown Source:0)

//     at com.android.systemui.screenshot.ScreenshotController$$ExternalSyntheticLambda7.setTransitionDestination(Unknown Source:4)

//     at com.android.systemui.screenshot.LongScreenshotActivity$1.lambda$onPreDraw$1(LongScreenshotActivity.java:219)

//     at com.android.systemui.screenshot.LongScreenshotActivity$1.$r8$lambda$0pLAaD5zM9Vsmh-JUuaGTwE8CHc(Unknown Source:0)

//     at com.android.systemui.screenshot.LongScreenshotActivity$1$$ExternalSyntheticLambda0.run(Unknown Source:6)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)
//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

//

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118415/612NEW

History

#1 - 2023-06-12 13:46 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-06-12 17:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

206450 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Screenshot: Fixed float value is NaN.TC-RID: 1201-0206601IssueID: TS-R-BUG-118739Change-Id: Id4315d8aedcb51dfec198653351e5543df5833c2

#3 - 2023-06-12 17:23 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-12

- Root cause set to AOSP 原生问题。

■ Current conclusion

已处理，代码已入库。

■ Next action

测试验证。

#4 - 2023-07-04 14:00 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 116

7.3

116版本五台设备未复现，先关闭

#5 - 2023-07-04 14:01 - CD TEST-方永红
- Status changed from VERIFIED to CLOSED
